# Machine Learning in the Browser

> Talk for [ML Conference Berlin (2018)][ml-conference-berlin-2018].


## Abstract

Machine learning in a web browser?! Yes, you read that correctly! Machine learning is typically regarded as the purview of traditional scientific computing environments such as Python and MATLAB. However, recent advances in web technologies are rapidly opening a new frontier for machine learning which extends beyond the desktop and into your browser.

In this session, I'll discuss the current state-of-the-art for machine learning in the browser and introduce libraries for high-performance linear algebra, statistical computing, and neural networks. I'll highlight how changes in web standards are facilitating the rise of these libraries and thus accelerating the adoption of browser-based machine learning. I'll follow with lessons learned while implementing machine learning algorithms for use in web applications, discussing common implementation mistakes, portability issues, and how to maximize performance. And finally, I'll conclude by offering insight into how you can take advantage of the next big machine learning revolution, all within your browser!


## Installation

```bash
$ git clone https://github.com/kgryte/talks-ml-conference-berlin-2018.git
```

and

```bash
$ npm install
```


## Usage

From the top-level directory,

```bash
$ python -m SimpleHTTPServer 9000
```

and, in your browser, navigate to

```
http://127.0.0.1:9000
```


---

## Copyright

Copyright &copy; 2018. Athan Reines.


[ml-conference-berlin-2018]: https://mlconference.ai/program/
